#include "bootloader.h"
Bootloader_t boot = {0};

int main()
{
  boot.state = BL_STATE_INIT;
  while (1)
  {
    Bootloader_Task(&boot);
  }
}

/**
  * @brief This function handles System tick timer.
  */
void SysTick_Handler(void)
{
  /* USER CODE BEGIN SysTick_IRQn 0 */

  /* USER CODE END SysTick_IRQn 0 */
  HAL_IncTick();
  /* USER CODE BEGIN SysTick_IRQn 1 */

  /* USER CODE END SysTick_IRQn 1 */
}